$(document).ready(function() {
	$('#subscribeToNewsletterButton').click(function() {
		if(document.location.href.includes("/completar-cadastro/pessoa-fisica/")){
			bloqueiaCamposPF()
		};
		if(validateForm() && validateEmail()) {
			$("#subscribeToNewsletterButton").text("Aguarde...");
			$("#subscribeToNewsletterButton").attr("disabled", true);
			var nome = $("#nome").val();
			var email = $("#email").val();
			const url = window["URLEndpointNewsletter"] + email + "/" + nome;
			fetch(url)
			.then(function() {
				$("#subscribeToNewsletterButton").hide();
				$("#successSubscribed").show();
			})
			.catch(function() {
				$("#subscribeToNewsletterButton").hide();
				$("#errorSubscribe").show();
			});
		}
	});
});

function validateForm() {
	var isValid = true;
	
	$('.form-field').each(function() {
		if ($(this).val() === '') {
			isValid = false;
		}
	});
	
	return isValid;
}

function bloqueiaCamposPF() {
	let cpf = document.getElementById("k2m_cpf");

	if(cpf.value){
		cpf.readonly = "readonly"
	}


}

function validateEmail() {
	var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
	return emailReg.test($("#email").val());
}